> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns a paginated list of events received on a specific SSF receiver stream, ordered by receipt time.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/ssf-receiver-streams/{stream_id}/events
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/ssf-receiver-streams/{stream_id}/events:
    get:
      tags:
        - SSF Receiver
      summary: List
      description: >-
        List returns a paginated list of events received on a specific SSF
        receiver stream, ordered by receipt time.
      operationId: c1.api.ssf_receiver.v1.SSFReceiverEventService.List
      parameters:
        - in: path
          name: stream_id
          required: true
          schema:
            description: The ID of the SSF receiver stream to list events for.
            type: string
        - in: query
          name: page_size
          schema:
            description: Maximum number of events to return per page.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: >-
              Token from a previous ListResponse to fetch the next page of
              results.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverEventServiceListResponse
          description: >-
            SSFReceiverEventServiceListResponse contains a page of received SSF
            events.
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SSFReceiverEvent.List(ctx, operations.C1APISSFReceiverV1SSFReceiverEventServiceListRequest{\n        StreamID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SSFReceiverEventServiceListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.ssfReceiverEvent.list({
                streamId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ssf_receiver.v1.SSFReceiverEventServiceListResponse:
      description: >-
        SSFReceiverEventServiceListResponse contains a page of received SSF
        events.
      properties:
        list:
          description: The SSF events in the current page.
          items:
            $ref: '#/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverEvent'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            Token to retrieve the next page. Empty when there are no more
            results.
          type:
            - string
            - 'null'
      title: Ssf Receiver Event Service List Response
      type: object
      x-speakeasy-name-override: SSFReceiverEventServiceListResponse
    c1.api.ssf_receiver.v1.SSFReceiverEvent:
      description: SSFReceiverEvent shows both wire-level data and C1 canonical outcome.
      properties:
        canonicalType:
          description: |-
            C1 canonical outcome (what C1 understood and did).
             The normalized event type after mapping from the wire event type.
          enum:
            - SSF_CANONICAL_EVENT_TYPE_UNSPECIFIED
            - SSF_CANONICAL_EVENT_TYPE_UNRECOGNIZED
            - SSF_CANONICAL_EVENT_TYPE_SESSION_REVOKED
            - SSF_CANONICAL_EVENT_TYPE_CREDENTIAL_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_TOKEN_CLAIMS_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_ASSURANCE_LEVEL_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_DEVICE_COMPLIANCE_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_RISK_LEVEL_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_SESSION_ESTABLISHED
            - SSF_CANONICAL_EVENT_TYPE_SESSION_PRESENTED
            - SSF_CANONICAL_EVENT_TYPE_ACCOUNT_DISABLED
            - SSF_CANONICAL_EVENT_TYPE_ACCOUNT_ENABLED
            - SSF_CANONICAL_EVENT_TYPE_ACCOUNT_PURGED
            - SSF_CANONICAL_EVENT_TYPE_CREDENTIAL_COMPROMISE
            - SSF_CANONICAL_EVENT_TYPE_RECOVERY_ACTIVATED
            - SSF_CANONICAL_EVENT_TYPE_IDENTIFIER_CHANGED
            - SSF_CANONICAL_EVENT_TYPE_VERIFICATION
            - SSF_CANONICAL_EVENT_TYPE_STREAM_UPDATED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        id:
          description: The unique identifier of this event.
          type:
            - string
            - 'null'
        matchMethod:
          description: How the upstream subject was resolved to a ConductorOne user.
          enum:
            - SSF_SUBJECT_MATCH_METHOD_UNSPECIFIED
            - SSF_SUBJECT_MATCH_METHOD_IDP_USER
            - SSF_SUBJECT_MATCH_METHOD_EMAIL
            - SSF_SUBJECT_MATCH_METHOD_NOT_FOUND
            - SSF_SUBJECT_MATCH_METHOD_NOT_APPLICABLE
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        matchedUserId:
          description: >-
            The ConductorOne user ID that the event subject was resolved to, if
            any.
          type:
            - string
            - 'null'
        outcome:
          description: The action ConductorOne took in response to this event.
          enum:
            - SSF_EVENT_OUTCOME_UNSPECIFIED
            - SSF_EVENT_OUTCOME_SESSIONS_REVOKED
            - SSF_EVENT_OUTCOME_LOGGED
            - SSF_EVENT_OUTCOME_PRINCIPAL_NOT_FOUND
            - SSF_EVENT_OUTCOME_VERIFIED
            - SSF_EVENT_OUTCOME_STREAM_STATUS_UPDATED
            - SSF_EVENT_OUTCOME_UNRECOGNIZED
            - SSF_EVENT_OUTCOME_ERROR
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        outcomeDetail:
          description: >-
            Human-readable details about the outcome (e.g., error message or
            revocation summary).
          type:
            - string
            - 'null'
        receivedAt:
          format: date-time
          type:
            - string
            - 'null'
        sessionsRevoked:
          description: Number of sessions that were revoked as a result of this event.
          format: int32
          type:
            - integer
            - 'null'
        setJti:
          description: |-
            Wire-level data (what the transmitter sent).
             The SET (Security Event Token) JWT ID claim, uniquely identifying the token.
          type:
            - string
            - 'null'
        streamId:
          description: The SSF receiver stream that received this event.
          type:
            - string
            - 'null'
        wireEventProfile:
          description: The event profile URI from the SET, if present.
          type:
            - string
            - 'null'
        wireEventType:
          description: >-
            The raw event type URI from the SET (e.g.,
            "https://schemas.openid.net/secevent/caep/event-type/session-revoked").
          type:
            - string
            - 'null'
        wireInitiatingEntity:
          description: The entity that initiated the event, as reported by the transmitter.
          type:
            - string
            - 'null'
        wireReasonAdmin:
          description: >-
            The admin-facing reason string from the SET, if provided by the
            transmitter.
          type:
            - string
            - 'null'
        wireSubjectFormat:
          description: >-
            The subject identifier format from the SET (e.g., "email",
            "iss_sub").
          type:
            - string
            - 'null'
        wireSubjectIdentifier:
          description: The raw subject identifier value from the SET.
          type:
            - string
            - 'null'
      title: Ssf Receiver Event
      type: object
      x-speakeasy-name-override: SSFReceiverEvent
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````